<?php

/********************************************
* LiteSpeed ADC ZConf Manager Plugin for WHM
* @Author:   LiteSpeed Technologies, Inc. (http://www.litespeedtech.com)
* @Copyright: (c) 2017
*********************************************/

global $_SERVER;

$opt_names = [
    'apacheconf:',
    'lswshome::',
    'zconfdir:',
    'clusterips::',
    'maxconns::',
];

$assoc_args = getopt("", $opt_names, $posExcludedDoms);

if ($assoc_args === false) {
    echo 'ERROR: Required arguments missing.';
    exit(1);
}

require_once(dirname(__FILE__) . '/ap2zconf/Migrator.php');

$migrator = new Migrator();
$migrator->init($assoc_args['apacheconf'], $assoc_args['lswshome'], $assoc_args['zconfdir']);

if (file_exists('/var/cpanel/cpnat'))
{
    $lines = file('/var/cpanel/cpnat', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
    if (false === $lines) {
        echo 'ERROR: Failed to read cpnat file.';
        exit(1);
    }
    $ipMap = array();
    foreach ($lines as $entry) {
        list($priv, $pub) = explode(' ', $entry);
        $ipMap[$priv] = $pub;
    }
    $migrator->setIpMap($ipMap);
}


$excludedDoms = array_slice($_SERVER['argv'], $posExcludedDoms, NULL, true); // keep index so that the array entry has a non zero value.

if(!empty($excludedDoms)) {
    $excludeDomains = array_flip($excludedDoms);
    $migrator->setExcludeDomains($excludeDomains);
}

if (isset($assoc_args['clusterips'])) {
    $migrator->setServerCluster($assoc_args['clusterips']);
}

if (isset($assoc_args['maxconns'])) {
    $migrator->setDefaultMaxConns($assoc_args['maxconns']);
}

$migrator->loadApacheConf();
$migrator->createZConfMsg();

exit(0);

