#!/bin/bash

# /********************************************
# WEBADC ZConf Manager Plugin for WHM
# @Author:   LiteSpeed Technologies, Inc. (http://www.litespeedtech.com)
# @Copyright: (c) 2017
# *********************************************/

CPANELDIR="/usr/local/cpanel"
DOCROOT="${CPANELDIR}/whostmgr/docroot"
INSDIR="${DOCROOT}/cgi/webadc_zconf"
TMPLDIR="${DOCROOT}/templates/webadc_zconf"
ICONFILE="${DOCROOT}/addon_plugins/webadc_zconf.png"
TRDPTYDIR="${CPANELDIR}/3rdparty/webadc_zconf"
SCRIPTSDIR="${CPANELDIR}/scripts"
CRONFILE="/etc/cron.d/whm_webadc_zconf_detect_update"

echo ""
echo "========================================================="
echo " Removing WEBADC ZConf Manager Plugin for WHM"
echo ""

# Unregister
if [ -e "/usr/local/cpanel/bin/register_appconfig" ] ; then
    REGISTERED=`/usr/local/cpanel/bin/is_registered_with_appconfig whostmgr webadc_zconf`
    if [ $REGISTERED -eq 1 ] ; then
        echo "  Remove Standardized hooks."
        /usr/local/cpanel/bin/manage_hooks delete script $INSDIR/stdscript

        echo "  Unregister from AppConfig"
        /usr/local/cpanel/bin/unregister_appconfig $INSDIR/webadc_zconf.conf
    fi
fi

# mayberemovefile() {
#     # The binbash line is required to be added, so that is ok to delete, all others must stay.
#     while read line; do
#         case $line in
#           */bin/bash*) ;;
#           *[a-zA-Z]*) return;;
#         esac
#     done < "$1"
#     echo "REMOVING SCRIPT FILE, DOES NOT CONTAIN OTHER RULES $1 contents:"
#     cat "$1"
#     rm -f "$1"
# }

# echo "...removing script hooks..."
# #  REMOVED "postpkgacct", maybe duplicate with manage hooks?
# # declare -a scripthooks=("postmodifyacct" "postrestoreacct" "postsuspendacct" "postunsuspendacct" "postupdateuserdomains")
# declare -a scripthooks=("postsuspendacct" "postunsuspendacct")

# for scripthook in "${scripthooks[@]}"
# do
#     if [ -f "$SCRIPTSDIR/$scripthook" ]
#     then
#         sed -i "\;$INSDIR/postactionupdate.sh;d" "$SCRIPTSDIR/$scripthook"
#         mayberemovefile "$SCRIPTSDIR/$scripthook"
#     fi
# done

echo "...removing cron task..."
if [ -f "$CRONFILE" ]
then
    rm -f "$CRONFILE"
fi

echo "...removing directories..."
# Removing CGI directory
if [ -e "$INSDIR" ]; then
    rm -rf "$INSDIR"
    echo "  CGI directory removed : $INSDIR"
    echo ""
fi

#Removes the template directory
if [ -e "$TMPLDIR" ] ; then
    rm -rf "$TMPLDIR"
    echo "  Template directory removed : $TMPLDIR"
fi
echo ""

#Removes the thirdparty directory
if [ -e "$TRDPTYDIR" ] ; then
    rm -rf "$TRDPTYDIR"
    echo "  Thirdparty directory removed : $TRDPTYDIR"
fi
echo ""

if [ -e "$ICONFILE" ] ; then
    rm -f "$ICONFILE"
fi

echo "  Uninstallation finished."
echo ""
echo " WEBADC ZConf Manager Plugin uninstalled."
echo "========================================================="
echo ""

